# Uses of Class
org.eclipse.search.ui.text.Match

Packages that use Match
Package
Description
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of Match in org.eclipse.search.ui.text

Fields in org.eclipse.search.ui.text declared as Match
Modifier and Type
Field
Description
`protected static final Match[]`
AbstractTextSearchViewPage.`EMPTY_MATCH_ARRAY`
An empty array.
Methods in org.eclipse.search.ui.text that return Match
Modifier and Type
Method
Description
`Match[]`
IEditorMatchAdapter.`computeContainedMatches(AbstractTextSearchResult result, IEditorPart editor)`
Returns all matches that are contained in the element shown in the given editor.
`Match[]`
IFileMatchAdapter.`computeContainedMatches(AbstractTextSearchResult result, IFile file)`
Returns an array with all matches contained in the given file in the given search result.
`Match`
AbstractTextSearchViewPage.`getCurrentMatch()`
Returns the currently selected match.
`Match[]`
AbstractTextSearchViewPage.`getDisplayedMatches(Object element)`
Returns the matches that are currently displayed for the given element.
`Match[]`
AbstractTextSearchResult.`getMatches(Object element)`
Returns an array with all matches reported against the given element.
`Match[]`
MatchEvent.`getMatches()`
Returns the concerned matches.
`Match[]`
FilterUpdateEvent.`getUpdatedMatches()`
Returns the matches updated by the filter update.
Methods in org.eclipse.search.ui.text that return types with arguments of type Match
Modifier and Type
Method
Description
`Enumeration<Match>`
AbstractTextSearchResult.`getMatchSet(Object element)`
Returns an Enumeration of all matches reported against the given element.
Methods in org.eclipse.search.ui.text with parameters of type Match
Modifier and Type
Method
Description
`void`
AbstractTextSearchResult.`addMatch(Match match)`
Adds a `Match` to this search result.
`void`
AbstractTextSearchResult.`addMatches(Match[] matches)`
Adds a number of Matches to this search result.
`protected void`
AbstractTextSearchViewPage.`evaluateChangedElements(Match[] matches, Set<Object> changedElements)`
Evaluates the elements to that are later passed to `AbstractTextSearchViewPage.elementsChanged(Object[])`.
`abstract boolean`
MatchFilter.`filters(Match match)`
Returns whether the given match is filtered by this filter.
`IAnnotationModel`
ISearchEditorAccess.`getAnnotationModel(Match match)`
Finds the annotation model for the given match
`IRegion`
AbstractTextSearchViewPage.`getCurrentMatchLocation(Match match)`
Returns the current location of the match.
`IDocument`
ISearchEditorAccess.`getDocument(Match match)`
Finds the document displaying the match.
`boolean`
IEditorMatchAdapter.`isShownInEditor(Match match, IEditorPart editor)`
Determines whether a match should be displayed in the given editor.
`void`
AbstractTextSearchResult.`removeMatch(Match match)`
Removes the given match from this search result.
`void`
AbstractTextSearchResult.`removeMatches(Match[] matches)`
Removes the given matches from this search result.
`protected void`
MatchEvent.`setMatch(Match match)`
Sets the match for the change this event reports.
`protected void`
MatchEvent.`setMatches(Match[] matches)`
Sets the matches for the change this event reports.
`protected void`
AbstractTextSearchViewPage.`showMatch(Match match, int currentOffset, int currentLength)`
Deprecated.
Use `AbstractTextSearchViewPage.showMatch(Match, int, int, boolean)` instead
`protected void`
AbstractTextSearchViewPage.`showMatch(Match match, int currentOffset, int currentLength, boolean activate)`
Opens an editor on the given element and selects the given range of text.
Constructors in org.eclipse.search.ui.text with parameters of type Match
Modifier
Constructor
Description
``
`FilterUpdateEvent(ISearchResult searchResult, Match[] matches, MatchFilter[] filters)`
Constructs a new `FilterUpdateEvent`.